summaryrefslogtreecommitdiffstats
path: root/bin/build-docs/build-docs.cron
diff options
context:
space:
mode:
authorPatrick Barnes <nman64@n-man.com>2006-01-04 21:45:48 +0000
committerPatrick Barnes <nman64@n-man.com>2006-01-04 21:45:48 +0000
commit048d4600e6a8f222f3f3812dd34521ade9fc23c6 (patch)
tree354495bb585a3a34ba170295dc7e156562a16f08 /bin/build-docs/build-docs.cron
parent8d4f5f2a8125573927c742b2099da116563878e7 (diff)
downloadfedora-doc-utils-048d4600e6a8f222f3f3812dd34521ade9fc23c6.tar.gz
fedora-doc-utils-048d4600e6a8f222f3f3812dd34521ade9fc23c6.tar.xz
fedora-doc-utils-048d4600e6a8f222f3f3812dd34521ade9fc23c6.zip
Replacing bulkbuild script with build-docs package
Diffstat (limited to 'bin/build-docs/build-docs.cron')
-rw-r--r--bin/build-docs/build-docs.cron10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/build-docs/build-docs.cron b/bin/build-docs/build-docs.cron
new file mode 100644
index 0000000..6c45ce1
--- /dev/null
+++ b/bin/build-docs/build-docs.cron
@@ -0,0 +1,10 @@
+#!/bin/sh
+. /etc/build-docs.conf
+[ "${ENABLE_HOURLY_BUILD}" == "yes" ] || exit 0
+[ "x" == "x${BDR}" ] && BDR="build-docs"
+[ "x" == "x${BDRFLAGS}" ] && BDRFLAGS="-c -m /var/lib/build-docs"
+[ "x" == "x${LOGFILE}" ] && LOGFILE="/var/log/build-docs.log"
+echo "Starting build-docs at `date -uR`..." >> $LOGFILE
+$BDR $BDRFLAGS &> $LOGFILE 2>&1
+echo "Finished build-docs at `date -uR`..." >> $LOGFILE
+exit 0